Re: [Evolution] contacts - People API vs. Contacts API



Happened again just now - English version of the message is

"Invalid request URI or header, or unsupported nonstandard parameter:
Contacts API is being deprecated. Migrate to People API to retain
programmatic access to Google Contacts. See 
https://developers.google.com/people/contacts-api-migration.";

This crops up occaisionally not every time.  It appears in a wider
error message saying unable to connect to google contact.  If you hit
the "reconnect" button in that message all is restored but for how long
will that be the case?

On Thu, 2021-11-25 at 09:18 +0000, David Charlton wrote:
Yes.  That is the message I get (in English) on occaision.  Which
started me off looking for a solution..  I notice my version of
evolution is also 3.36.5-0ubuntu1 though I regularly update the
Ubuntu
20.04.3 LTS system I use.  Not sure how to use the CardDAV variant
though.

Cheers

David

On Thu, 2021-11-25 at 09:38 +0100, Torsten Krah via evolution-list
wrote:
Am Mittwoch, dem 24.11.2021 um 08:55 +0100 schrieb Milan Crha via
evolution-list:
        Hi,

evolution(-data-server) used libgdata to access Google Contacts.
The

libgdata does not support the People API, thus the Google
contacts
are

shown using the CardDAV interface the Google offers. That's
built-
in

sync 3.42.0 of the evolution-data-server. Unfortunately, the
CardDAV

API is not that feature rich as the Contacts API.

Just was asking because sometimes I get this when starting:

Ung├╝ltige Anfrageadresse oder -kopfzeile, oder nicht unterst├╝tzter
Nicht-Standardparameter: Contacts API is being deprecated. 
Migrate to People API to retain programmatic access to Google
Contacts. See 
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdevelopers.google.com%2Fpeople%2Fcontacts-api-migration&data=04%7C01%7C%7Cb387a5623e8046a56ecc08d9aff49440%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637734287257842416%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=TTiekNwxkZKdzNQar1HoN3IHaruJ4YO7yChlECNX1NA%3D&reserved=0
.

using my (dated) evolution 3.36.5-0ubuntu1 

I'll try that CardDAV variant.

kind regards

Torsten

_______________________________________________
evolution-list mailing list
evolution-list gnome org
To change your list options or unsubscribe, visit ...
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmail.gnome.org%2Fmailman%2Flistinfo%2Fevolution-list&data=04%7C01%7C%7Cb387a5623e8046a56ecc08d9aff49440%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637734287257842416%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=K%2FkddJ5QBeR6eXlhd38b3FW9Z8GQGK%2BKVPrfxDP60eM%3D&reserved=0

_______________________________________________
evolution-list mailing list
evolution-list gnome org
To change your list options or unsubscribe, visit ...
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmail.gnome.org%2Fmailman%2Flistinfo%2Fevolution-list&data=04%7C01%7C%7Cb387a5623e8046a56ecc08d9aff49440%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637734287257842416%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=K%2FkddJ5QBeR6eXlhd38b3FW9Z8GQGK%2BKVPrfxDP60eM%3D&reserved=0



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]